function [coord, element]=GridGen(w,h,nx,ny)

delx=w/nx;
x1=[-w/2:delx:w/2]';
y1=h*ones(length(x1),1);
dely=h/ny;
y2=[0:dely:h-dely]';
x2=zeros(length(y2),1);
coord=[x1,y1;x2,y2];
%boundary node: left=1, center: nx/2+1, right=nx+1
%plot(coord(:,1),coord(:,2),'x');

%element=[node#, node#]
for i=1:nx
    element(i,1)=i;
    element(i,2)=i+1;
end
for i=nx+1:nx+ny-1
    element(i,1)=i+1;
    element(i,2)=i+2;
end
element(nx+ny,:)=[nx+ny+1,nx/2+1];
