function [L,M,gamma]=Mproperty(T)
omega=2e-29; %volume of Au
k=1.38e-23; %Boltzmann constant
delta=3e-9; %length of Au
R=8.3145; %Gas constant
D=0.3e-7*exp(-63520/R/T); %diffusion coefficient
M=omega*D*delta/k/T; %mobility (diffusion)
L=omega^(2/3)*D/k/T; %mobility (migration)
gamma=1.15-0.14e-3*(T-1064); %surface tension